[Solved] Error when trying to install packages with tlmgr in Linux

Jesús Isea Asks: Error when trying to install packages with tlmgr in Linux
Hello to you all and thanks for reading!

For a while I’ve been using LaTeX to type university math reports and such using TeX 3.14159265 (TeX Live 2015/Debian) in my laptop with ubuntu xenial (I’m using a basic install). It’s not a laptop with a lot of space, so I install the packages manually when I need them (and so far, when it comes to copying .sty files, I do it well). However, when I need to install somewhat more complicated packages (such as ec) I get crazy and eventually give up.

Why? I can’t get tlmgr working for some reason. I’m not that expert in this subject, but for reading similar questions I think this is a path related issue (whatever that is). Right now, when I write tlmgr install ec I get this:

Code:
tlmgr: Cannot load TeX Live database from https://mirrors.ucr.ac.cr/CTAN/systems/texlive/tlnet

The idea is to properly set up tlmgr to use it to maintain my install without nasty manual package installation. If you need further details I’ll be happy to provide them either in comments or editing this question. Thank you all!

Ten-tools.com may not be responsible for the answers or solutions given to any question asked by the users. All Answers or responses are user generated answers and we do not have proof of its validity or correctness. Please vote for the answer that helped you in order to help others find out which is the most helpful answer. Questions labeled as solved may be solved or may not be solved depending on the type of question and the date posted for some posts may be scheduled to be deleted periodically. Do not hesitate to share your response here to help other visitors like you. Thank you, Ten-tools.